Get Voice

Retrieve a single voice by the same id values GET /v2/voices exposes — a built-in ElevenLabs voice id or the UUID of a voice cloned by your organization. A missing or foreign-organization id returns a 404 with errorCode voice_not_found.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired

The voice id — a built-in provider voice id or a cloned voice UUID.

Query parameters

providerenumOptional

Provider to resolve the voice against. Currently elevenlabs.

Allowed values:

Response

Voice retrieved successfully
providerenum
The voice provider.
idstring
The voice id to pass as voiceId in TTS and generation text inputs.
internalVoiceIdstring
The internal id of a cloned voice, when applicable.
voiceIdstring

The provider (ElevenLabs) voice id.

namestring
The display name of the voice.
previewUrlstring
A URL to a short preview sample of the voice, when available.

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error